/**
 * @file   zaurss.h
 * @author NOKUBI Takatsugu
 * @date   Wed Dec 17 13:37:25 2003
 * 
 * @brief  header file for ZauRSS main window
 * 
 * $Id$
 */

#ifndef ZAURSS_H
#define ZAURSS_H

#include <qmainwindow.h>
#include <qcstring.h>

class QFrame;
class QHBoxLayout;
class QVBoxLayout;
class QListView;
class QTable;
class QTextBrowser;
class QNetworkOperation;
class QUrlOperator;
class ZRss;

class ZauRSS : public QMainWindow
{
  Q_OBJECT ;
 public:
  ZauRSS(QWidget *parent = 0, const char *name = 0, int wFlags = 0);

  bool readRss(QString &url);
  bool updateTable();

 public slots:
   void exitapp();
 void updaterss();
 void getrss();
 void doubleClicked(int, int, int, const QPoint&);

 private:
  QFrame *topF;
  QHBoxLayout *topL;
  QFrame *rightF;
  QVBoxLayout *rightL;
  QListView *feeds;
  QTable *items;
  QTextBrowser *text;

  // for http fetching
  int httpmode;
  char *httpcont;

  // for RSS
  ZRss *rss;
};

#endif
